Choose style:

Author Topic: Kodi CRASH (SOLVED).  (Read 2843 times)

0 Members and 1 Guest are viewing this topic.

Online VinDSL

  • Global Moderator
  • Hero
  • *****
  • Posts: 4203
  • Karma: 784
  • Peppermint Mod
    • View Profile
Re: Kodi CRASH
« Reply #15 on: February 24, 2017, 05:49:53 am »
[...] added a repository (they are established)

It's looking like socket errors IMO.

Only add-ons I'm running are 'Crackler' (legal) & 'SALTS' (not so legal), and they work fine for me on Kodi ver 16, 17 & 18 beta.

Have you tested those ?

Online PCNetSpec

  • Administrator
  • Hero
  • *****
  • Posts: 22202
  • Karma: 2477
  • "-rw-rw-rw-" .. The Number Of The Beast
    • View Profile
    • PCNetSpec
  • Peppermint version(s): Peppermint 8R and 9
Re: Kodi CRASH
« Reply #16 on: February 24, 2017, 07:15:09 am »
If I were you I'd remove KODI 17 .. reinstall 16 .. delete the  ~/.kodi directory .. and start again from the fresh install.

The .kodi directory from 17 was probably giving 16 problems.

but your call...
WARNING: You are logged into reality as 'root' .. logging in as 'insane' is the only safe option.

Team Peppermint
PCNetSpec

Online murraymint

  • Trusted User
  • Veteran
  • *****
  • Posts: 1713
  • Karma: 288
  • soft boiled with a yolk of gold
    • View Profile
  • Peppermint version(s): 7, 8, 9
Re: Kodi CRASH
« Reply #17 on: February 24, 2017, 08:51:22 am »
I've been trying to follow this thread, with much difficulty. What would be the current recommendation for a version of Kodi for a fresh install on Peppermint 7 respin? (A regular version, as the Beast thing wouldn't accept an email addy from me).


Online PCNetSpec

  • Administrator
  • Hero
  • *****
  • Posts: 22202
  • Karma: 2477
  • "-rw-rw-rw-" .. The Number Of The Beast
    • View Profile
    • PCNetSpec
  • Peppermint version(s): Peppermint 8R and 9
Re: Kodi CRASH
« Reply #18 on: February 24, 2017, 01:07:19 pm »
That's a tough one to answer murraymint .. If you take "The Beast" out of the equation I've personally had no problems with KODI 17, but other people have.

The Beast (for me) has not been very stable on 17 .. so I no longer use it and install the plugins manually .. I'd expect the  beast to become more stable as time goes by.

16.1 on the other hand is pretty stable for nearly everyone .. AND The Beast should be fine.

Because of the beast issues, at first I wished I'd never changed to 17 but now I've manually added just the plugins I use to 17, I've grown to like the new interface so I'll  be sticking with it.

For a lot of people (probably hardware dependent) 17 is unstable .. so if unsure I'd probably advise 16.1 .. but you have to bear in mind that at some point in the future some newer plugin versions may not work in anything less than the current version (17).

So any recommendation is kinda six of one and half dozen of the other kinda thang .. the only real answer is "which ever works for you".
« Last Edit: February 24, 2017, 03:04:07 pm by PCNetSpec »
WARNING: You are logged into reality as 'root' .. logging in as 'insane' is the only safe option.

Team Peppermint
PCNetSpec

Online murraymint

  • Trusted User
  • Veteran
  • *****
  • Posts: 1713
  • Karma: 288
  • soft boiled with a yolk of gold
    • View Profile
  • Peppermint version(s): 7, 8, 9
Re: Kodi CRASH
« Reply #19 on: February 24, 2017, 05:18:55 pm »
Thanks for that, I'll probably give 16.1 a try on my Baytrail TV box. (I cloned a Peppermint 7 install onto it and used Linuxium's Lubuntu ISO to install itself alongside and make the bootloader work)

The hardware on that thing is temperamental at the best of times so I doubt the new version would work smoothly on it.

Offline yustas

  • nOOb
  • *
  • Posts: 7
  • Karma: 0
  • New Forum User
    • View Profile
  • Peppermint version(s): Peppermint os7 *64
Re: Kodi CRASH
« Reply #20 on: March 02, 2017, 09:25:35 pm »
Problem solved. Install the package or python-deb.zip
sudo dpkg -i python-cryptography_1.7.1-2_amd64.deb
sudo dpkg -i python-openssl_16.2.0-1_all.deb
there can be problems with dependence
rights through
sudo apt-get install -f
Spoiler (click here to view / hide)
all run

Online PCNetSpec

  • Administrator
  • Hero
  • *****
  • Posts: 22202
  • Karma: 2477
  • "-rw-rw-rw-" .. The Number Of The Beast
    • View Profile
    • PCNetSpec
  • Peppermint version(s): Peppermint 8R and 9
Re: Kodi CRASH (SOLVED).
« Reply #21 on: March 03, 2017, 07:38:16 am »
Not sure I'd go downloading packages that have anything to do with SSL and cryptography from a random forum .. if those particular versions are necessary I'd be more likely to go directly to the Ubuntu zesty repos

http://packages.ubuntu.com/zesty/python-openssl
and
http://packages.ubuntu.com/zesty/python-cryptography

Download the versions for your architecture .. bung em both into a directory somewhere .. "cd" into that directory .. then run "sudo dpkg -i *.deb" to install them.
(if installed together this way, you sidestep  the dependency issue)

I find it odd that the KODI team would release 17 requiring libs from an Ubuntu version that isn't even released yet :-\

Thanks for posting your solution though :)
« Last Edit: March 03, 2017, 07:40:22 am by PCNetSpec »
WARNING: You are logged into reality as 'root' .. logging in as 'insane' is the only safe option.

Team Peppermint
PCNetSpec

Offline yustas

  • nOOb
  • *
  • Posts: 7
  • Karma: 0
  • New Forum User
    • View Profile
  • Peppermint version(s): Peppermint os7 *64
Re: Kodi CRASH (SOLVED).
« Reply #22 on: March 03, 2017, 11:28:17 am »
This solution worked for me, wanted to show it to peppermintusers , the problem was at all (4) ps which was established by pepermint os7

Online PCNetSpec

  • Administrator
  • Hero
  • *****
  • Posts: 22202
  • Karma: 2477
  • "-rw-rw-rw-" .. The Number Of The Beast
    • View Profile
    • PCNetSpec
  • Peppermint version(s): Peppermint 8R and 9
Re: Kodi CRASH (SOLVED).
« Reply #23 on: March 03, 2017, 01:21:13 pm »
Like I said, thanks for the solution .. I'm just surprised the KODI team have released something into the xenial PPA channel  that requires xenial to have zesty libraries. Someone screwed up somewhere :)
WARNING: You are logged into reality as 'root' .. logging in as 'insane' is the only safe option.

Team Peppermint
PCNetSpec

Offline imtomelger

  • nOOb
  • *
  • Posts: 1
  • Karma: 0
  • New Forum User
    • View Profile
    • Exodus Repository
Re: Kodi CRASH (SOLVED).
« Reply #24 on: July 12, 2018, 03:02:55 am »
You can install Exodus from the Kodil repository on Kodi Krypton and Kodi Jarvis, and get add-ons updates at times. Follow the steps below How to Install Kodi Exodus Repository 2018

Offline SandmanUT

  • Jr. Member
  • **
  • Posts: 39
  • Karma: 1
  • Peppermint OS User
    • View Profile
  • Peppermint version(s): 7,8
Re: Kodi CRASH (SOLVED).
« Reply #25 on: November 05, 2018, 03:39:08 pm »
Not sure I'd go downloading packages that have anything to do with SSL and cryptography from a random forum .. if those particular versions are necessary I'd be more likely to go directly to the Ubuntu zesty repos

http://packages.ubuntu.com/zesty/python-openssl
and
http://packages.ubuntu.com/zesty/python-cryptography

Download the versions for your architecture .. bung em both into a directory somewhere .. "cd" into that directory .. then run "sudo dpkg -i *.deb" to install them.
(if installed together this way, you sidestep  the dependency issue)

I find it odd that the KODI team would release 17 requiring libs from an Ubuntu version that isn't even released yet :-\

Thanks for posting your solution though :)

Although we're a year later, I just encountered this same problem (outdated crypto error) in a Pep 8  machine running Kodi 16. The only addons this version has on it is Yahoo Weather and a remote control mapper to make it sort of work with a Harmony. It's just for pulling kid dvds from a NAS so mine aren't handling disks, scratching, breaking, losing, etc. Adding this as I know it's often addon developers actions causing these breaks, but what's installed here is old and few.

Obviously things have changed since Zesty, so what path would you choose to update the crypto and get Kodi back in working order (it won't even load the home menu now).

Online PCNetSpec

  • Administrator
  • Hero
  • *****
  • Posts: 22202
  • Karma: 2477
  • "-rw-rw-rw-" .. The Number Of The Beast
    • View Profile
    • PCNetSpec
  • Peppermint version(s): Peppermint 8R and 9
Re: Kodi CRASH (SOLVED).
« Reply #26 on: November 05, 2018, 04:19:19 pm »
Okay to upgrade six, pyopenssl, and cryptography to the latest versions....

Open a terminal and run these commands in sequence
Code: [Select]
sudo apt-get install python-pip
then
Code: [Select]
sudo pip install --upgrade pip
then
Code: [Select]
sudo pip install --upgrade six
then
Code: [Select]
sudo pip install --upgrade pyopenssl
then
Code: [Select]
sudo pip install --upgrade cryptography
now hopefully running
Code: [Select]
pip show pyOpenSSL
should show you have version >= 18.0.0 .. and KODI should work properly.
« Last Edit: November 05, 2018, 07:20:25 pm by PCNetSpec »
WARNING: You are logged into reality as 'root' .. logging in as 'insane' is the only safe option.

Team Peppermint
PCNetSpec

Offline SandmanUT

  • Jr. Member
  • **
  • Posts: 39
  • Karma: 1
  • Peppermint OS User
    • View Profile
  • Peppermint version(s): 7,8
Re: Kodi CRASH (SOLVED).
« Reply #27 on: November 05, 2018, 05:04:00 pm »
and there it is!  :D

Call this the 2018 Solution!

Do you feel like it is Kodi itself or one of even minimal addons that caused it or just breaks in the update path for Python?

Online PCNetSpec

  • Administrator
  • Hero
  • *****
  • Posts: 22202
  • Karma: 2477
  • "-rw-rw-rw-" .. The Number Of The Beast
    • View Profile
    • PCNetSpec
  • Peppermint version(s): Peppermint 8R and 9
Re: Kodi CRASH (SOLVED).
« Reply #28 on: November 05, 2018, 06:27:29 pm »
If I had to guess, it'd be that KODI is connecting to something over SSL and whatever it's connecting to wants more recent certificates .. using pip to install/upgrade pyopenssl (and six, and cryptography which are dependencies) pulls the latest versions in directly from python.
WARNING: You are logged into reality as 'root' .. logging in as 'insane' is the only safe option.

Team Peppermint
PCNetSpec